All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
viennacl::backend::cuda::detail Namespace Reference

Holds implementation details for handling CUDA memory buffers. Not intended for direct use by library users. More...

## Classes

struct | cuda_deleter
| Functor for deleting a CUDA handle. Used within the smart pointer class. More...

## Functions

void | cuda_error_check (cudaError error_code, const char *file, const int line)

## Detailed Description

Holds implementation details for handling CUDA memory buffers. Not intended for direct use by library users.

## Function Documentation

void viennacl::backend::cuda::detail::cuda_error_check | ( | cudaError | error_code,
|  | const char * | file,
|  | const int | line
| ) |  |

inline

Definition at line 73 of file cuda.hpp.